org.wso2.carbon.dataservices.ui.beans

## Class Param

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.Param

-     public class Param
      extends DataServiceConfigurationElement

  Object for query/param element

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Param()`
    `Param(String name, String paramType, String sqlType, String type, String defaultValue, List<Validator> validators, String optional)`
    `Param(String name, String paramType, String sqlType, String type, String ordinal, String defaultValue, String structType, List<Validator> validators, String optional)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `String` | `getColumnName()`
    `String` | `getDefaultValue()`
    `String` | `getName()`
    `String` | `getOperationParamName()`
    `String` | `getOptional()`
    `int` | `getOrdinal()`
    `String` | `getParamType()`
    `String` | `getSqlType()`
    `String` | `getStructType()`
    `String` | `getType()`
    `List<Validator>` | `getValidators()`
    `void` | `setColumnName(String columnName)`
    `void` | `setDefaultValue(String defaultValue)`
    `void` | `setName(String name)`
    `void` | `setOperationParamName(String operationParamName)`
    `void` | `setOptional(String optional)`
    `void` | `setOrdinal(int ordinal)`
    `void` | `setParamType(String paramType)`
    `void` | `setSqlType(String sqlType)`
    `void` | `setStructType(String structType)`
    `void` | `setType(String type)`
    `void` | `setValidarors(List<Validator> validators)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Param

          public Param(String name,
                       String paramType,
                       String sqlType,
                       String type,
                       String ordinal,
                       String defaultValue,
                       String structType,
                       List<Validator> validators,
                       String optional)

    - #### Param

          public Param(String name,
                       String paramType,
                       String sqlType,
                       String type,
                       String defaultValue,
                       List<Validator> validators,
                       String optional)

    - #### Param

          public Param()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getSqlType

          public String getSqlType()

    - #### setSqlType

          public void setSqlType(String sqlType)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getOrdinal

          public int getOrdinal()

    - #### setOrdinal

          public void setOrdinal(int ordinal)

    - #### getColumnName

          public String getColumnName()

    - #### setColumnName

          public void setColumnName(String columnName)

    - #### setParamType

          public void setParamType(String paramType)

    - #### getParamType

          public String getParamType()

    - #### setDefaultValue

          public void setDefaultValue(String defaultValue)

    - #### getDefaultValue

          public String getDefaultValue()

    - #### getStructType

          public String getStructType()

    - #### setStructType

          public void setStructType(String structType)

    - #### getOptional

          public String getOptional()

    - #### setOptional

          public void setOptional(String optional)

    - #### getOperationParamName

          public String getOperationParamName()

    - #### setOperationParamName

          public void setOperationParamName(String operationParamName)

    - #### getValidators

          public List<Validator> getValidators()

    - #### setValidarors

          public void setValidarors(List<Validator> validators)

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `DataServiceConfigurationElement`
      Returns:
        OMElement

Copyright © 2019 WSO2. All rights reserved.